Repozytorium

UPDATE
W repozytorium będą wydawane nowe wersji paczek tylko dla 3 ostatnich wydań Ubuntu oraz ostatniego wydania LTS. Programy pisane są w Pythonie więc spokojnie można mieszać repozytoria z innymi wydaniami Ubuntu.

Aby dodać repozytorium z moimi programami należy:

  • Dla Ubuntu 9.10 (Karmic) i wyżej.
  • $ sudo add-apt-repository ppa:yp2/ppa

    Następnie

    $ sudo apt-get update
  • Dla Ubuntu 9.04 (Jaunty)
  • $ sudo gedit /etc/apt/sources.list

    następnie na końcu pliku należy dodać

    #PPA dla yp2
    deb http://ppa.launchpad.net/yp2/ppa/ubuntu jaunty main
    deb-src http://ppa.launchpad.net/yp2/ppa/ubuntu jaunty main

Następnie należy dodać klucz GPG dla mojego repozytorium:

$ sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 2075FA72

Oraz:

$ sudo apt-get update
  • Dla Ubuntu 8.10 (Intrepid)
  • $ sudo gedit /etc/apt/sources.list

    następnie na końcu pliku należy dodać

    #PPA dla yp2
    deb http://ppa.launchpad.net/yp2/ppa/ubuntu intrepid main
    deb-src http://ppa.launchpad.net/yp2/ppa/ubuntu intrepid main
  • Dla Ubuntu 8.04 (Hardy)
  • $ sudo gedit /etc/apt/sources.list

    następnie na końcu pliku należy dodać

    #PPA dla yp2
    deb http://ppa.launchpad.net/yp2/ppa/ubuntu hardy main
    deb-src http://ppa.launchpad.net/yp2/ppa/ubuntu hardy main

10 myśli nt. „Repozytorium

  1. Pingback: by yp2 » Kopie zapsowe (iso) Xbox 360 i Linux …

  2. Pingback: Paczki dla Karmic i Lucid « by yp2

  3. Pingback: Paczki dla Ubuntu 10.10 (Maverick) « by yp2

  4. Pingback: Nowe repozytoria, GIT, nowy burnX360 … « by yp2

  5. lukasz

    Jak wygląda sytuacja z instalacją pod Ubuntu 12.04 ponieważ po instalacji z której kolwiek paczki aplikacja nie odpala się

  6. Daniel 'yp2' Dereziński Autor wpisu

    Niestety repa dla 12.04 może nie być. Nie planuje przesiadki do 12.04 raczej myślę o czystym Debianie lub Mincie/Debian.
    Spróbuj uruchomić aplikacje z konsoli i podaj mi jakie błędy się pojawiają. Chyba, że paczka ogólnie się nie instaluje. Jeżeli jest to taki problem to powiedz jaki soft Cię interesuje to dodam możliwość instalowania nie zależnie od dystrybucji przez pythonowskie dist utils.

  7. lukasz

    instaluje się lecz gdy uruchamiam z konsoli pojawia się komunikat

    /usr/bin$ ./burnx360
    /usr/bin/env: python2.6: Nie ma takiego pliku ani katalogu

    już próbowałem z wszystkimi wersjami jednak niestety jak wyżej pisałem nie pomaga

  8. Daniel 'yp2' Dereziński Autor wpisu

    odtwórz do edycji z prawami root’a plik /usr/share/burnx360/burnx360.py
    następnie zmień początek pliku – zamiast:
    #!/usr/bin/env python2.6
    zmień na:
    #!/usr/bin/env python

    Powinno pomóc.

Dodaj komentarz

Twój adres e-mail nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

Możesz użyć następujących tagów oraz atrybutów HTML-a: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>